> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a table

> Creates a new table inside the given project.

Tables are spreadsheet-like data containers with typed columns.

By default, an identifier column and one string column are created along with a single empty row.

Returns the created table document.



## OpenAPI

````yaml post /table
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table:
    post:
      tags:
        - Tables
      summary: Create a table
      description: >-
        Creates a new table inside the given project.


        Tables are spreadsheet-like data containers with typed columns.


        By default, an identifier column and one string column are created along
        with a single empty row.


        Returns the created table document.
      operationId: createTable
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                projectId:
                  type: string
                  minLength: 1
                name:
                  type: string
                description:
                  type: string
                resolveConflictServer:
                  type: boolean
                skipDefaultColumn:
                  type: boolean
              required:
                - projectId
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      name:
                        type: string
                      slug:
                        type: string
                      description:
                        type: string
                      rows:
                        type: array
                        items:
                          type: string
                      columns:
                        type: array
                        items:
                          type: string
                      isStatic:
                        type: boolean
                        example: false
                      icon:
                        type: object
                        properties:
                          name:
                            type: string
                          color:
                            type: string
                        required:
                          - name
                          - color
                      ownerId:
                        type: string
                      projectId:
                        type: string
                      workspaceId:
                        type: string
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                      isDeleted:
                        type: boolean
                        example: false
                    required:
                      - _id
                      - name
                      - slug
                      - rows
                      - columns
                      - isStatic
                      - ownerId
                      - projectId
                      - workspaceId
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '401':
          description: 401 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '409':
          description: 409 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  type:
                    type: string
                    enum:
                      - TABLE_NAME_CONFLICT
                required:
                  - message
                  - type
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````